Bug 171504 - (kipi-plugins) Review Request: kipi-plugins: Plugins to use with Kipi
Review Request: kipi-plugins: Plugins to use with Kipi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://extragear.kde.org/apps/kipi/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-21 17:35 EDT by Rex Dieter
Modified: 2009-09-28 09:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-22 11:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-21 17:35:47 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kipi-plugins-0.1.0-1.rc1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kipi-plugins-0.1.0-1.rc1.src.rpm
Description: 
This package contains plugins to use with Kipi, the KDE Image Plugin
Interface.  Currently implemented plugins are:

    * RawConverter: A raw image converter for digital cameras.
    * SlideShow: Slideshow with effects ripped out from kslideshow and 3D effects using OpenGL.
    * MpegEncoder: Create an MPEG slideshow from your images.
    * ImagesGallery: An HTML gallery generator.
    * PrintWizard: A wizard to print images in various format.
    * JpegLossLess: Batch process your JPEG images without losing meta information and compression.
    * CdArchiving: Archive your albums on CD or DVD using K3b.
    * ScanImages: Scanner management using Kooka.
    * ScreenshotImages: Snap screen based on KSnapshot and adapted to Kipi.
    * Calendar: A plugin to create calendars.
    * SendImages: A plugin to send images by email, allowing resizing and recompressing before sending.
    * RenameImages: Batch image renamer.
    * ConvertImages: Batch image converter.
    * BorderImages: Add border to your images in batch.
    * FilterImages: Batch image enhancer using digital filters.
    * ColorImages: Batch image color enhancer.
    * EffectImages: Batch image transformation effects.
    * ResizeImages: Batch image resizer.
    * RecompressImages: Batch image recompressor.
    * FindDuplicateImages: Find duplicate images in albums.
    * WallPaper: Set your image as wallpaper.
    * TimeAdjust: Adjust image file time and date.
    * GalleryExport: Interface for export images collections to remote Gallery web server.
Comment 1 Aurelien Bompard 2005-10-22 08:48:39 EDT
* The release tag should be 0.1.rc1 according to the package naming guidelines
* Some lines in the description tag are too long.
* Just a question : what's the test in "make install%{!?debug_package:-strip}" for ?
Comment 2 Rex Dieter 2005-10-22 09:07:18 EDT
> Just a question : what's the test in "make install%{!?debug_package:-strip}" for ?

It's for those systems that don't create -debuginfo packages (legacy/old
versions of rpm or those folks who don't have redhat-rpm-config installed).  Not
much use for that anymore, so I'll probably just remove it for the next package
iteration.
Comment 3 Rex Dieter 2005-10-22 09:39:18 EDT
%changelog
* Tue Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.1.1-0.2.rc1
- Release < 1, since it's not final
- Drop Req: dcraw (not available from FE... yet)
- Drop Req: kdebase (too big to be mandatory)
- %%description: format < 80 columns, mention extra Reqs for some plugins.
- drop goofy install-strip conditional

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kipi-plugins-0.1.0-0.2.rc1.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kipi-plugins-0.1.0-0.2.rc1.src.rpm
Comment 4 Aurelien Bompard 2005-10-22 10:53:47 EDT
Review for release 0.2.rc1:
* RPM name is OK
* Source kipi-plugins-0.1.0-rc1.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of kipi-plugins looks OK
* File list of kipi-plugins looks OK
* Works fine.
APPROVED

Comment 5 Rex Dieter 2005-10-22 11:07:56 EDT
Thanks, importing now.
Comment 6 Rex Dieter 2007-03-27 09:01:03 EDT
Package Change Request
======================
Package Name: kipi-plugins
Updated Fedora Owners: gauret@free.fr mgarski@post.pl
Comment 7 Jens Petersen 2007-03-27 09:38:15 EDT
Is the intention to add comaintainers or a change of package ownership?
Please clarify and set fedora-cvs to '?' again.
Comment 8 Rex Dieter 2007-03-27 09:44:49 EDT
Crap, good catch. (:

Package Change Request
======================
Package Name: kipi-plugins
Updated Fedora Cc: gauret@free.fr mgarski@post.pl

+comaintainers.
Comment 9 Marcin Garski 2007-05-07 19:43:13 EDT
We (gauret@free.fr and mgarski@post.pl) has not been added as cc list, but as a
initial owners of bugs, which is wrong. That should be changed. :)

Note You need to log in before you can comment on or make changes to this bug.